Favicon

You are here: Home > API Reference > UEM > Mdm Assets > Get list of mdmAsset

GET /organizations/:organizationId/mdm/assets

Required Permission: mdm.global.asset.list

Get list of mdmAsset

GET
https://api.applivery.io/v1/organizations/{organizationId}/mdm/assets
curl -X GET "https://api.applivery.io/v1/organizations/{organizationId}/mdm/assets" \
  -H "Authorization: Bearer <YOUR_API_KEY>"
const response = await fetch("https://api.applivery.io/v1/organizations/{organizationId}/mdm/assets", {
  method: "GET",
  headers: {
    Authorization: "Bearer <YOUR_API_KEY>",
  },
});

const data = await response.json();
import requests

response = requests.get(
    "https://api.applivery.io/v1/organizations/{organizationId}/mdm/assets",
    headers={"Authorization": "Bearer <YOUR_API_KEY>"},
)

data = response.json()

Request

Send your API key in the request header authorization
Example: Authorization: Bearer <token>

organizationId string
required
Match pattern: ^(([a-fA-F0-9]{24})|([a-zA-Z0-9\\-]{3,}))$

page integer
optional
Sequential page index for navigating large datasets, enabling systematic access to specific record subsets within the total collection.
limit integer
optional
Maximum number of records returned per request to control data density, optimize interface performance, and manage payload size.
sort string
optional
Ordering criteria using a field-to-direction mapping to organize results based on specific attributes like creation date, name, or status.
Match pattern: ^[\w.]*((:asc)|(:desc))?$
type string
optional
appbookimagescriptothercertificate
subType string
optional
windowsmacosiosandroid
ext string
optional
ipapkgapkpdfepubibooksjpgjpeggifpngshps1pkcs1p12pfxpemcercrtdermsimsixmsixbundleappxappxbundleexertfdrtftxt
name string
optional
≤ 256 characters
segmentId integer
optional
expandTo string
optional
ancestorschildren

Responses

200 Response application/json
status boolean required
data object required
items array [object] required
id string required
Match pattern: ^[a-fA-F0-9]{24}$
organization string required
Match pattern: ^[a-fA-F0-9]{24}$
type string required
app book image script other certificate
name string required
≤ 256 characters
description string required
≤ 256 characters
uploadedByInfo object required
file any required
size integer required
≥ 0 · ≤ 9007199254740991
originalExtension string required
≤ 128 characters
storageProvider object required
config object required
version integer required
≥ 0 · ≤ 9007199254740991
updatedAt string required
createdAt string required
segmentId integer optional
≥ 0 · ≤ 9007199254740991
exposeToChildren any optional
totalDocs integer required
≥ -9007199254740991 · ≤ 9007199254740991
limit integer required
≥ -9007199254740991 · ≤ 9007199254740991
hasPrevPage boolean required
hasNextPage boolean required
page integer required
≥ -9007199254740991 · ≤ 9007199254740991
totalPages integer required
≥ -9007199254740991 · ≤ 9007199254740991
prevPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
nextPage integer required
≥ -9007199254740991 · ≤ 9007199254740991
{
    "status": true,
    "data": {
        "items": [
            {
                "id": "string",
                "organization": "string",
                "type": "app",
                "name": "string",
                "description": "string",
                "uploadedByInfo": {
                    "email": "[email protected]",
                    "firstName": "string",
                    "lastName": "string",
                    "picture": "string"
                },
                "file": "string",
                "size": 0,
                "originalExtension": "string",
                "storageProvider": {
                    "id": "string",
                    "name": "string",
                    "region": "string"
                },
                "config": {
                    "msi": {
                        "productCode": "string",
                        "productVersion": "string",
                        "productName": "string",
                        "manufacturer": "string"
                    },
                    "apk": {
                        "versionCode": "string",
                        "versionName": "string",
                        "packageName": "string",
                        "minSDKVersion": "string",
                        "targetSdkVersion": "string",
                        "productName": "string"
                    }
                },
                "version": 0,
                "updatedAt": "string",
                "createdAt": "string",
                "segmentId": 0,
                "exposeToChildren": true
            }
        ],
        "totalDocs": 0,
        "limit": 0,
        "hasPrevPage": true,
        "hasNextPage": true,
        "page": 0,
        "totalPages": 0,
        "prevPage": 0,
        "nextPage": 0
    }
}
401 Response application/json
status boolean optional
false
error object optional
code number optional
4004
message string optional
Invalid Token
{
    "status": false,
    "error": {
        "code": 4002,
        "message": "No auth token"
    }
}
404 Response application/json
status boolean optional
false
error object optional
code number optional
3001
message string optional
Entity not found
{
    "status": false,
    "error": {
        "code": 3001,
        "message": "Entity not found"
    }
}